JeriCommerce Public API
API Status
API Status
  1. Customers
  • API Integration
    • Create/Update resources
      POST
    • Delete resources
      DELETE
  • Customers
    • Get customer details by email
      GET
    • Get a customer token
      GET
    • Redeem a reward
      POST
    • Send a push notification
      POST
    • Assign a coupon
      POST
    • Increase balance
      POST
    • Decrease balance
      POST
  1. Customers

Get a customer token

Entorno producci贸n
https://api.jericommerce.com
Entorno producci贸n
https://api.jericommerce.com
GET
/v1/programs/{programId}/customers/token
Last modified:2026-03-11 17:47:17
Generate a temporary JWT token for a customer. The token type determines its purpose and permissions.

Token Types#

TypePurposeDefault ExpirationRequirements
authCustomer App session and API calls as the customer7 daysCustomer must have at least one pass
downloadWallet pass download link (Apple Wallet / Google Wallet)Validated against OneTimeLinkCustomer must have a generated OneTimeLink
You can customize the expiration with the expires_in parameter.

Building URLs with the Token#

Encode the returned accessToken in Base64 to build customer-facing URLs:
Link TypeURL Format
Downloadhttps://jeri.link/{slug}/download?token={base64Token}
Sessionhttps://jeri.link/{slug}/{base64Token}?redirectTo={path}

Available redirectTo paths for session URLs#

PathSection
profileCustomer profile
loyalty/rewardsAvailable rewards
loyalty/earning-flowsWays to earn points
referralsReferral program
couponsCustomer coupons
transactionsTransaction history

Using the auth token as API session#

The auth token can be used as a Bearer token to make API calls on behalf of the customer:
Authorization: Bearer {accessToken}
Note: Download URLs are automatically synced to Shopify metafields (jericommerce.download-wallet-pass-url) and Klaviyo profiles (jericommerce_download_wallet_pass_url).
For a step-by-step guide, see Customer Tokens: Wallet Pass Downloads & App Session Links.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Query Params

Responses

馃煝200
application/json
Body

Request Request Example
Shell
JavaScript
Swift
PHP
curl --location -g --request GET 'https://api.jericommerce.com/v1/programs//customers/token?email&token_type&expires_in' \
--header 'api-key: <api-key>'
Response Response Example
{
    "accessToken": "string"
}
Modified at聽2026-03-11 17:47:17
Previous
Get customer details by email
Next
Redeem a reward
Built with